; Include Files
[INCLUDE: common/navigators.ini]
[INCLUDE: navigators_mixins.ini]
[INCLUDE: common/selflighting.ini]
[INCLUDE: common/no_popup_lights.ini]
[INCLUDE: common/materials_glass.ini]
[INCLUDE: common/materials_interior.ini]
[INCLUDE: common/materials_carpaint.ini]
[INCLUDE: pbr_int.ini]
[INCLUDE: pbr.ini]
[INCLUDE: pbr_ext.ini]
[INCLUDE: android_auto/config.ini]
[INCLUDE: common/gt3_exhaust_glow.ini]
[INCLUDE: common/custom_emissive.ini]
[INCLUDE: scriptable_display.ini]

[Material_CarPaint_Solid]
CarPaintMaterial = car_paint_job, calipers_paint_job
BaseSpecularColor = #004B31  # British Green color in hex format
FresnelMax = 0.6
FresnelC = 0.08
FlakesK = 1  # Increased for more sparkle effect
BrightnessAdjustment = 0.1
AmbientSpecular = 0.6
AmbientSpecularEXP = 1
SpecularBase = 0.5, 50
SpecularSun = 0.01, 4d
ClearCoatThickness = 0.1
UseMetallicReflections = 0.25  # Increased for a more reflective surface
ColoredSpecular = 0.85


[SHADER_REPLACEMENT_...] ; Carbon1
MATERIALS = exterior_carbon_fiber
PROP_... = ksAmbient, 0.15
PROP_... = ksDiffuse, 0.15
PROP_... = ksSpecular, 1
PROP_... = ksSpecularEXP, 100
PROP_... = fresnelMaxLevel, 0.04
PROP_... = fresnelEXP, 1.5
PROP_... = fresnelC, 0.9
PROP_... = useDetail, 1
PROP_... = detailUVMultiplier, 180
PROP_... = detailNormalBlend, 1
DOUBLE_FACE_SHADOW_BIASED = 1

[SHADER_REPLACEMENT_...] ; Carbon1
MATERIALS = steering_wheel_carbon_fiber
PROP_... = ksAmbient, 0.15
PROP_... = ksDiffuse, 0.15
PROP_... = ksSpecular, 1
PROP_... = ksSpecularEXP, 100
PROP_... = fresnelMaxLevel, 0.04
PROP_... = fresnelEXP, 1.5
PROP_... = fresnelC, 0.9
PROP_... = useDetail, 1
PROP_... = detailUVMultiplier, 80
PROP_... = detailNormalBlend, 1
DOUBLE_FACE_SHADOW_BIASED = 1

[SHADER_REPLACEMENT_...] ; Carbon1
MATERIALS = interior_carbon_fiber
PROP_... = ksAmbient, 0.15
PROP_... = ksDiffuse, 0.15
PROP_... = ksSpecular, 1
PROP_... = ksSpecularEXP, 100
PROP_... = fresnelMaxLevel, 0.04
PROP_... = fresnelEXP, 1.5
PROP_... = fresnelC, 0.9
PROP_... = useDetail, 1
PROP_... = detailUVMultiplier, 390
PROP_... = detailNormalBlend, 1
DOUBLE_FACE_SHADOW_BIASED = 1

[Material_Glass]
Materials = front_tinted_glass
MaskPass = 10     ; mask pass opacity
MaskPassColor = 0.0, 1.7, 0.8
IOR = 1.5          ; looks better like this
FilmIOR = 1.7      ; redefine IOR for external film layer to increaase reflections
ThicknessMult = 3 ; thicker glass passes less light through
BrightnessAdjustment = 0
ExtraLightsAdjustment = 0
usenormalmap = 1

[Material_Glass]
Materials = rear_tinted_glass
ThicknessMult = 40 
EXTRA_MASK_PASS = 1.5
EXTRA_MASK_PASS_OPACITY = 0
FilmIOR= 2

[Material_PhotoelasticGlass]
Meshes= ferrari_f8_keyvany_egcu_spec.359
PhotoelasticityBaseScale = 5      ; this parameter alters scale in general
PhotoelasticityNoiseScale = 0.03  ; deeply affects randomization process, careful with it
PhotoelasticitySpotsScale = 0.3   ; spots for limiting effect to some areas
PhotoelasticitySpotsOffset = 0.03  ; offset for spots, to try and fit effect nice on existing meshes
PhotoelasticityStripesScale = 8   ; how many stripes are there
ProfileFix = 0.02
FilmIOR=0.25

[Material_Glass]
Materials = rear_red_glass
FilmIOR = 2
ExtraLightsAdjustment = 0.0
Refraction = 0.3
Desaturate = 0.6
ThicknessMult = 0.4
EXTRA_MASK_PASS = 6
EXTRA_MASK_PASS_OPACITY = 6

[EXTRA_FX] ; Front + Taillights Glass Only
MASK_GBUFFER =ferrari_f8_keyvany_egcu_spec.292, ferrari_f8_keyvany_egcu_spec.326, ferrari_f8_keyvany_egcu_spec.364, ferrari_f8_keyvany_egcu_spec.297, ferrari_f8_keyvany_egcu_spec.175, ferrari_f8_keyvany_egcu_spec.178, 
SKIP_GBUFFER = 

[Material_CarPaint_Chrome]
BaseSpecularColor = #FFFFFF
CarPaintMaterial = rims_paint_job
UseMetallicReflections = 1.2
ClearCoatThickness = 0.1
ColoredSpecular = 0.95
SpecularBase = 0.9, 70
SpecularMult = 2
SpecularSun = 0.06, 90
FresnelMax = 0.4
FresnelC = 0.2
PROP_0  = isAdditive, 1
PROP_1 = ksDiffuse, 0.2
PROP_2 = ksAmbient, 0.1
RESOURCE_1 = txDetail
RESOURCE_COLOR_1 = #000000

[Material_Plastic_v2]
Materials=brake_disc_casted_metal
Brightness=0.2
OcclusionMap = 0.3
Smoothness = 0.2
Reflectance = 0.43
DetailScale=5
ApplyTilingFix=1
DetailNormalIntensity=5

[Material_Plastic_v2]
Materials=brakes_aluminium
Brightness=0.2
OcclusionMap = 0.3
Smoothness = 0.2
Reflectance = 0.43
DetailScale=5
ApplyTilingFix=1
DetailNormalIntensity=5

[Material_Chrome]
Materials=headlight_satin_black
Smoothness = 0.5
Metalness = 0.51
Reflectance = .6
BrightnessAdjustment = 0.02
OcclusionMap = 0.15
CubemapReflectionBlur = 0.5

[Material_InteriorPBRDetail]
Materials = piano_black, black_plate
Reflectance = 0.72
Smoothness = 1
DetailNormalBlend =0
DetailScale =0
BrightnessAdjustment = 0
UseClearCoat = 1             ; set to 1 to add clear coat to material
ClearCoatSmoothness = 1    ; smoothness of clear coat
ClearCoatIntensity = 6     ; multiplier for clear coat, with 0, it’s pretty much disabled
ClearCoatNormalsShare = 0.0  ; how much of “txNormalDetail” goes to clear coat
ClearCoatF0 = 0.01          ; F0 for clear coat, should be 0.04 for most cases

[Material_Glass]
Materials = plates_glass
ThicknessMult = 10 
EXTRA_MASK_PASS = 1.5
EXTRA_MASK_PASS_OPACITY = 0
FilmIOR= 2

[Material_Leather] L1
Materials=interior_leather_black
OcclusionMap=0.9
DetailScale=50
Reflectance = 0.1
Smoothness = 0.3
Brightness=0.25
ApplyTilingFix=0
DetailNormalIntensity=1
DetailNormalBlend=2

[Material_Leather] L1
Materials=interior_leather_white
OcclusionMap=0.9
DetailScale=50
Reflectance = 0.2
Smoothness = 0.4
Brightness=0.85
ApplyTilingFix=0
DetailNormalIntensity=1
DetailNormalBlend=2

[Material_Leather] L1
Materials=interior_leather_red
OcclusionMap=0.9
DetailScale=50
Reflectance = 0.1
Smoothness = 0.1
Brightness=0.85
ApplyTilingFix=0
DetailNormalIntensity=1
DetailNormalBlend=2

[Material_CarPaint_Chrome]
Materials = headlights_chrome
NormalsMode = BASIC
BrightnessAdjustment = 0.1
SpecularBase = 1,20
SpecularSun = 10,100
PROP_0 = isAdditive, 2
ClearCoatThickness = 0.2

[Material_Glass]
Materials = headlight_lenses
IOR = 0.9
Refraction = 1
FilmIOR = 0.5
ThicknessMult = 15
BrightnessAdjustment = 0
ExtraLightsAdjustment = 0

[SHADER_REPLACEMENT_...]
MATERIALS = headlight_lenses
PROP_0_... = ksAlphaRef, 1

[EMISSIVE_LIGHT_...]
NAME= ferrari_f8_keyvany_egcu_spec.183
COLOR=1,0.2,0, 2
CAST_LIGHT=1
ACT_AS_HEADLIGHTS=0

[Material_DigitalScreen]  ; set digital screen material
Materials = screen_1
ScreenScale = 800
ScreenAspectRatio = 0.5
MatrixType = TN

[Material_DigitalScreen]  ; set digital screen material
Materials = speedometer_screen
ScreenScale = 1500
ScreenAspectRatio = 0.5
MatrixType = TN

[EMISSIVE_LIGHT_...]
NAME= ferrari_f8_keyvany_egcu_spec.368, ferrari_f8_keyvany_egcu_spec.301
COLOR=1,0.01,0, 50
CAST_LIGHT=1
ACT_AS_HEADLIGHTS=0

[EMISSIVE_TURNSIGNAL_LEFT_...]
NAME=ferrari_f8_keyvany_egcu_spec.176
COLOR=4,5,0, 20
OFF_COLOR=0.7,1.1,1.2, 50
LAG=0.7 
SIMULATE_HEATING=0 
LOCATION=SIDE
TOGGLE_VISIBILITY = 1

[EMISSIVE_TURNSIGNAL_RIGHT_...]
NAME=ferrari_f8_keyvany_egcu_spec.179
COLOR=4,5,0, 20
OFF_COLOR=0.7,1.1,1.2, 50
LAG=0.7 
SIMULATE_HEATING=0 
LOCATION=SIDE
TOGGLE_VISIBILITY = 1

[REFRACTING_HEADLIGHT_...]
SURFACE =ferrari_f8_keyvany_egcu_spec.371
INSIDE =ferrari_f8_keyvany_egcu_spec.367
SYNC_EMISSIVE_AUTO=1
ABSORPTION = 0
AMBIENT_MULT = 0.25
BASE_EMISSIVE_K = 0.05
BOUNCED_BACK_MULT = 0.4
BULB_BLUR_K = 2
BULB_REFLECTION_K = 0.2
CUSTOM_BULB_0 = 0.5,0.5,0,0
CUSTOM_BULB_1 = 0.5,0.5,0,0
CUSTOM_BULB_2 = 0.5,0.5,0,0
CUSTOM_BULB_3 = 0.5,0.5,0,0
DIFFUSE_MAP_FILTER_MULT = 1
DIFFUSE_MAP_MULT = 0
DIRECTION = 0,0,1
DYNAMIC_EMISSIVE_MAP = 0
EMISSIVE_MULT = 1
EXTRA_GLASS_COLORIZATION = 1
EXTRA_SIDE_THICKNESS = 0
F0 = 0.8
GLASS_COLOR = 1,0.9999,0.9999
GLASS_EMISSIVE_MULT = 0.25
GLASS_EXTRA_THICKNESS = 0
INNER_SPECULAR = 10
INNER_SPECULAR_EXP = 800
IOR = 2.5
IOR_FLYOUT_FLAT = 0
LOD_BIAS = -0.5
MIRROR_2_AS_5 = 0
MIRROR_3_AS_4 = 1
MIRROR_DIR = 1,0,0
MIRROR_POS = -0.76307917,0.8086167,-1.9915832
NM_SHARE_EXT = 0
NM_SHARE_INT = 1
ORIGIN = -0.7382531,0.8088655,-1.9920132
RADIUS = 0.057558067
REFLECTIVENESS_DIFFUSE_MULT = 60
REFLECTIVENESS_MULT = 10
REFLECTIVE_GAMMA = 1
REFRACTION_MASKING = 0
SIDE_FALLOFF = 2.88
USE_COLORED_BULBS = 0
USE_CUSTOM_BULBS = 0
USE_NORMAL_ALPHA = 1

[REFRACTING_HEADLIGHT_...]
SURFACE =ferrari_f8_keyvany_egcu_spec.369
INSIDE =ferrari_f8_keyvany_egcu_spec.375, ferrari_f8_keyvany_egcu_spec.376
SYNC_EMISSIVE_AUTO=1
ABSORPTION = 0
AMBIENT_MULT = 0.25
BASE_EMISSIVE_K = 0.05
BOUNCED_BACK_MULT = 0.4
BULB_BLUR_K = 2
BULB_REFLECTION_K = 0.2
CUSTOM_BULB_0 = 0.5,0.5,0,0
CUSTOM_BULB_1 = 0.5,0.5,0,0
CUSTOM_BULB_2 = 0.5,0.5,0,0
CUSTOM_BULB_3 = 0.5,0.5,0,0
DIFFUSE_MAP_FILTER_MULT = 1
DIFFUSE_MAP_MULT = 0
DIRECTION = 0,0,1
DYNAMIC_EMISSIVE_MAP = 0
EMISSIVE_MULT = 1
EXTRA_GLASS_COLORIZATION = 1
EXTRA_SIDE_THICKNESS = 0
F0 = 0.8
GLASS_COLOR = 1,0.9999,0.9999
GLASS_EMISSIVE_MULT = 0
GLASS_EXTRA_THICKNESS = 0
INNER_SPECULAR = 10
INNER_SPECULAR_EXP = 800
IOR = 2.5
IOR_FLYOUT_FLAT = 0
LOD_BIAS = -0.5
MIRROR_2_AS_5 = 0
MIRROR_3_AS_4 = 1
MIRROR_DIR = 1,0,0
MIRROR_POS = -0.7630845,0.8086373,-1.9891984
NM_SHARE_EXT = 0
NM_SHARE_INT = 1
ORIGIN = -0.7483308,0.80878246,-1.9894629
RADIUS = 0.03885413
REFLECTIVENESS_DIFFUSE_MULT = 60
REFLECTIVENESS_MULT = 10
REFLECTIVE_GAMMA = 1
REFRACTION_MASKING = 0
SIDE_FALLOFF = 4
USE_COLORED_BULBS = 0
USE_CUSTOM_BULBS = 0
USE_NORMAL_ALPHA = 1

[REFRACTING_HEADLIGHT_...]
SURFACE =ferrari_f8_keyvany_egcu_spec.374
INSIDE =ferrari_f8_keyvany_egcu_spec.372
SYNC_EMISSIVE_AUTO=1
ABSORPTION = 0
AMBIENT_MULT = 0.25
BASE_EMISSIVE_K = 0.05
BOUNCED_BACK_MULT = 0.4
BULB_BLUR_K = 2
BULB_REFLECTION_K = 0.2
CUSTOM_BULB_0 = 0.5,0.5,0,0
CUSTOM_BULB_1 = 0.5,0.5,0,0
CUSTOM_BULB_2 = 0.5,0.5,0,0
CUSTOM_BULB_3 = 0.5,0.5,0,0
DIFFUSE_MAP_FILTER_MULT = 1
DIFFUSE_MAP_MULT = 0
DIRECTION = 0,0,1
DYNAMIC_EMISSIVE_MAP = 0
EMISSIVE_MULT = 1
EXTRA_GLASS_COLORIZATION = 1
EXTRA_SIDE_THICKNESS = 0
F0 = 0.8
GLASS_COLOR = 1,0.9999,0.9999
GLASS_EMISSIVE_MULT = 0
GLASS_EXTRA_THICKNESS = 0
INNER_SPECULAR = 10
INNER_SPECULAR_EXP = 800
IOR = 2.5
IOR_FLYOUT_FLAT = 0
LOD_BIAS = -0.5
MIRROR_2_AS_5 = 0
MIRROR_3_AS_4 = 1
MIRROR_DIR = 1,0,0
MIRROR_POS = -0.6006454,0.80861664,-2.03158
NM_SHARE_EXT = 0
NM_SHARE_INT = 1
ORIGIN = -0.57581925,0.8088654,-2.03201
RADIUS = 0.057558067
REFLECTIVENESS_DIFFUSE_MULT = 60
REFLECTIVENESS_MULT = 10
REFLECTIVE_GAMMA = 1
REFRACTION_MASKING = 0
SIDE_FALLOFF = 2.63
USE_COLORED_BULBS = 0
USE_CUSTOM_BULBS = 0
USE_NORMAL_ALPHA = 1

[REFRACTING_HEADLIGHT_...]
SURFACE =ferrari_f8_keyvany_egcu_spec.373
INSIDE =ferrari_f8_keyvany_egcu_spec.372, ferrari_f8_keyvany_egcu_spec.377
SYNC_EMISSIVE_AUTO=1
ABSORPTION = 0
AMBIENT_MULT = 0.25
BASE_EMISSIVE_K = 0.05
BOUNCED_BACK_MULT = 0.4
BULB_BLUR_K = 2
BULB_REFLECTION_K = 0.2
CUSTOM_BULB_0 = 0.5,0.5,0,0
CUSTOM_BULB_1 = 0.5,0.5,0,0
CUSTOM_BULB_2 = 0.5,0.5,0,0
CUSTOM_BULB_3 = 0.5,0.5,0,0
DIFFUSE_MAP_FILTER_MULT = 1
DIFFUSE_MAP_MULT = 0
DIRECTION = 0,0,1
DYNAMIC_EMISSIVE_MAP = 0
EMISSIVE_MULT = 1
EXTRA_GLASS_COLORIZATION = 1
EXTRA_SIDE_THICKNESS = 0
F0 = 0.8
GLASS_COLOR = 1,0.9999,0.9999
GLASS_EMISSIVE_MULT = 0
GLASS_EXTRA_THICKNESS = 0
INNER_SPECULAR = 10
INNER_SPECULAR_EXP = 800
IOR = 2.5
IOR_FLYOUT_FLAT = 0
LOD_BIAS = -0.5
MIRROR_2_AS_5 = 0
MIRROR_3_AS_4 = 1
MIRROR_DIR = 1,0,0
MIRROR_POS = -0.6006506,0.8086373,-2.029195
NM_SHARE_EXT = 0
NM_SHARE_INT = 1
ORIGIN = -0.5858969,0.80878246,-2.0294595
RADIUS = 0.03885413
REFLECTIVENESS_DIFFUSE_MULT = 60
REFLECTIVENESS_MULT = 10
REFLECTIVE_GAMMA = 1
REFRACTION_MASKING = 0
SIDE_FALLOFF = 2.33
USE_COLORED_BULBS = 0
USE_CUSTOM_BULBS = 0
USE_NORMAL_ALPHA = 1

[REFRACTING_HEADLIGHT_...]
SURFACE =ferrari_f8_keyvany_egcu_spec.308
INSIDE =ferrari_f8_keyvany_egcu_spec.305
SYNC_EMISSIVE_AUTO=1
ABSORPTION = 0
AMBIENT_MULT = 0.25
BASE_EMISSIVE_K = 0.05
BOUNCED_BACK_MULT = 0.4
BULB_BLUR_K = 2
BULB_REFLECTION_K = 0.2
CUSTOM_BULB_0 = 0.5,0.5,0,0
CUSTOM_BULB_1 = 0.5,0.5,0,0
CUSTOM_BULB_2 = 0.5,0.5,0,0
CUSTOM_BULB_3 = 0.5,0.5,0,0
DIFFUSE_MAP_FILTER_MULT = 1
DIFFUSE_MAP_MULT = 0
DIRECTION = 0,0,1
DYNAMIC_EMISSIVE_MAP = 0
EMISSIVE_MULT = 1
EXTRA_GLASS_COLORIZATION = 1
EXTRA_SIDE_THICKNESS = 0
F0 = 0.8
GLASS_COLOR = 1,0.9999,0.9999
GLASS_EMISSIVE_MULT = 0
GLASS_EXTRA_THICKNESS = 0
INNER_SPECULAR = 10
INNER_SPECULAR_EXP = 800
IOR = 2.5
IOR_FLYOUT_FLAT = 0
LOD_BIAS = -0.5
MIRROR_2_AS_5 = 0
MIRROR_3_AS_4 = 1
MIRROR_DIR = 1,0,0
MIRROR_POS = 0.6006454,0.80861664,-2.0315795
NM_SHARE_EXT = 0
NM_SHARE_INT = 1
ORIGIN = 0.6255131,0.8084092,-2.0319164
RADIUS = 0.057599433
REFLECTIVENESS_DIFFUSE_MULT = 60
REFLECTIVENESS_MULT = 10
REFLECTIVE_GAMMA = 1
REFRACTION_MASKING = 0
SIDE_FALLOFF = 1.51
USE_COLORED_BULBS = 0
USE_CUSTOM_BULBS = 0
USE_NORMAL_ALPHA = 1

[REFRACTING_HEADLIGHT_...]
SURFACE =ferrari_f8_keyvany_egcu_spec.306
INSIDE =ferrari_f8_keyvany_egcu_spec.305, ferrari_f8_keyvany_egcu_spec.311
SYNC_EMISSIVE_AUTO=1
ABSORPTION = 0
AMBIENT_MULT = 0.25
BASE_EMISSIVE_K = 0.05
BOUNCED_BACK_MULT = 0.4
BULB_BLUR_K = 2
BULB_REFLECTION_K = 0.2
CUSTOM_BULB_0 = 0.5,0.5,0,0
CUSTOM_BULB_1 = 0.5,0.5,0,0
CUSTOM_BULB_2 = 0.5,0.5,0,0
CUSTOM_BULB_3 = 0.5,0.5,0,0
DIFFUSE_MAP_FILTER_MULT = 1
DIFFUSE_MAP_MULT = 0
DIRECTION = 0,0,1
DYNAMIC_EMISSIVE_MAP = 0
EMISSIVE_MULT = 1
EXTRA_GLASS_COLORIZATION = 1
EXTRA_SIDE_THICKNESS = 0
F0 = 0.8
GLASS_COLOR = 1,0.9999,0.9999
GLASS_EMISSIVE_MULT = 0
GLASS_EXTRA_THICKNESS = 0
INNER_SPECULAR = 10
INNER_SPECULAR_EXP = 800
IOR = 2.5
IOR_FLYOUT_FLAT = 0
LOD_BIAS = -0.5
MIRROR_2_AS_5 = 0
MIRROR_3_AS_4 = 1
MIRROR_DIR = 1,0,0
MIRROR_POS = 0.6006506,0.8086373,-2.029195
NM_SHARE_EXT = 0
NM_SHARE_INT = 1
ORIGIN = 0.6160367,0.8085077,-2.0293975
RADIUS = 0.038869627
REFLECTIVENESS_DIFFUSE_MULT = 60
REFLECTIVENESS_MULT = 10
REFLECTIVE_GAMMA = 1
REFRACTION_MASKING = 0
SIDE_FALLOFF = 2.14
USE_COLORED_BULBS = 0
USE_CUSTOM_BULBS = 0
USE_NORMAL_ALPHA = 1

[REFRACTING_HEADLIGHT_...]
SURFACE =ferrari_f8_keyvany_egcu_spec.304
INSIDE =ferrari_f8_keyvany_egcu_spec.300
SYNC_EMISSIVE_AUTO=1
ABSORPTION = 0
AMBIENT_MULT = 0.25
BASE_EMISSIVE_K = 0.05
BOUNCED_BACK_MULT = 0.4
BULB_BLUR_K = 2
BULB_REFLECTION_K = 0.2
CUSTOM_BULB_0 = 0.5,0.5,0,0
CUSTOM_BULB_1 = 0.5,0.5,0,0
CUSTOM_BULB_2 = 0.5,0.5,0,0
CUSTOM_BULB_3 = 0.5,0.5,0,0
DIFFUSE_MAP_FILTER_MULT = 1
DIFFUSE_MAP_MULT = 0
DIRECTION = 0,0,1
DYNAMIC_EMISSIVE_MAP = 0
EMISSIVE_MULT = 1
EXTRA_GLASS_COLORIZATION = 1
EXTRA_SIDE_THICKNESS = 0
F0 = 0.8
GLASS_COLOR = 1,0.9999,0.9999
GLASS_EMISSIVE_MULT = 0
GLASS_EXTRA_THICKNESS = 0
INNER_SPECULAR = 10
INNER_SPECULAR_EXP = 800
IOR = 2.5
IOR_FLYOUT_FLAT = 0
LOD_BIAS = -0.5
MIRROR_2_AS_5 = 0
MIRROR_3_AS_4 = 1
MIRROR_DIR = 1,0,0
MIRROR_POS = 0.76307917,0.80861664,-1.991583
NM_SHARE_EXT = 0
NM_SHARE_INT = 1
ORIGIN = 0.7879468,0.8084092,-1.99192
RADIUS = 0.057599433
REFLECTIVENESS_DIFFUSE_MULT = 60
REFLECTIVENESS_MULT = 10
REFLECTIVE_GAMMA = 1
REFRACTION_MASKING = 0
SIDE_FALLOFF = 3.01
USE_COLORED_BULBS = 0
USE_CUSTOM_BULBS = 0
USE_NORMAL_ALPHA = 1

[REFRACTING_HEADLIGHT_...]
SURFACE =ferrari_f8_keyvany_egcu_spec.302
INSIDE =ferrari_f8_keyvany_egcu_spec.309, ferrari_f8_keyvany_egcu_spec.310
SYNC_EMISSIVE_AUTO=1
ABSORPTION = 0
AMBIENT_MULT = 0.25
BASE_EMISSIVE_K = 0.05
BOUNCED_BACK_MULT = 0.4
BULB_BLUR_K = 2
BULB_REFLECTION_K = 0.2
CUSTOM_BULB_0 = 0.5,0.5,0,0
CUSTOM_BULB_1 = 0.5,0.5,0,0
CUSTOM_BULB_2 = 0.5,0.5,0,0
CUSTOM_BULB_3 = 0.5,0.5,0,0
DIFFUSE_MAP_FILTER_MULT = 1
DIFFUSE_MAP_MULT = 0
DIRECTION = 0,0,1
DYNAMIC_EMISSIVE_MAP = 0
EMISSIVE_MULT = 1
EXTRA_GLASS_COLORIZATION = 1
EXTRA_SIDE_THICKNESS = 0
F0 = 0.8
GLASS_COLOR = 1,0.9999,0.9999
GLASS_EMISSIVE_MULT = 0
GLASS_EXTRA_THICKNESS = 0
INNER_SPECULAR = 10
INNER_SPECULAR_EXP = 800
IOR = 2.5
IOR_FLYOUT_FLAT = 0
LOD_BIAS = -0.5
MIRROR_2_AS_5 = 0
MIRROR_3_AS_4 = 1
MIRROR_DIR = 1,0,0
MIRROR_POS = 0.7630845,0.8086373,-1.9891984
NM_SHARE_EXT = 0
NM_SHARE_INT = 1
ORIGIN = 0.7784706,0.8085077,-1.9894009
RADIUS = 0.038869627
REFLECTIVENESS_DIFFUSE_MULT = 60
REFLECTIVENESS_MULT = 10
REFLECTIVE_GAMMA = 1
REFRACTION_MASKING = 0
SIDE_FALLOFF = 1.66
USE_COLORED_BULBS = 0
USE_CUSTOM_BULBS = 0
USE_NORMAL_ALPHA = 1

[Material_Leather] alcantaramid
Materials=interior_fabric_roof
OcclusionMap=0.2
DetailScale=30
Reflectance = 0.1
Smoothness = 0.1
Brightness= 0.9
ApplyTilingFix=1
DetailNormalIntensity=2
DetailNormalBlend=4

[Material_Leather] alcantaramid
Materials=interior_alcantara
OcclusionMap=0.9
DetailScale=10
Reflectance = 0.01
Smoothness = 0.1
Brightness= 0.9
ApplyTilingFix=1
DetailNormalIntensity=2
DetailNormalBlend=4

[Material_Leather] L1
Materials=plastic_3
OcclusionMap=0.8
DetailScale=5
Reflectance = 0.1
Smoothness = 0.4
Brightness=0.35
ApplyTilingFix=0
DetailNormalIntensity=1
DetailNormalBlend=2

[Material_Leather] L1
Materials=frunk_plastic
OcclusionMap=0.5
DetailScale=4
Reflectance = 0.1
Smoothness = 0.4
Brightness=0.35
ApplyTilingFix=0
DetailNormalIntensity=1
DetailNormalBlend=5

[Material_Leather] L1
Materials=plastic_1
OcclusionMap=0.8
DetailScale=15
Reflectance = 0.1
Smoothness = 0.4
Brightness=0.35
ApplyTilingFix=0
DetailNormalIntensity=1
DetailNormalBlend=2

[Material_Leather] L1
Materials=engine_casted_metal
OcclusionMap=0.6
DetailScale=20
Reflectance = 0.2
Smoothness = 0.7
Brightness=0.35
ApplyTilingFix=0
DetailNormalIntensity=1
DetailNormalBlend=5

[Material_Leather] L1
Materials=engine_plastic
OcclusionMap=0.6
DetailScale=5
Reflectance = 0.1
Smoothness = 0.5
Brightness=0.35
ApplyTilingFix=0
DetailNormalIntensity=1
DetailNormalBlend=5

[Material_Leather] L1
Materials=plastic_yellow
OcclusionMap=1
DetailScale=5
Reflectance = 0.1
Smoothness = 0.4
Brightness=0.9
ApplyTilingFix=0
DetailNormalIntensity=1
DetailNormalBlend=2

[EMISSIVE_LIGHT_...]
NAME= ferrari_f8_keyvany_egcu_spec.165, ferrari_f8_keyvany_egcu_spec.146, ferrari_f8_keyvany_egcu_spec.321, ferrari_f8_keyvany_egcu_spec.271, ferrari_f8_keyvany_egcu_spec.132, ferrari_f8_keyvany_egcu_spec.134, ferrari_f8_keyvany_egcu_spec.129
COLOR=1,1,1,10
CAST_LIGHT=1
ACT_AS_HEADLIGHTS=0

[EMISSIVE_LIGHT_...]
NAME= ferrari_f8_keyvany_egcu_spec.317
COLOR=1,0,0,50
CAST_LIGHT=1
ACT_AS_HEADLIGHTS=0

[EMISSIVE_LIGHT_...]
NAME= ferrari_f8_keyvany_egcu_spec.323
COLOR=1,0,0,50
CAST_LIGHT=1
ACT_AS_HEADLIGHTS=0

[EXTRA_FX_EMISSIVE_...]
MESHES = ferrari_f8_keyvany_egcu_spec.323
RANGE = .023
COLOR = 2
DIRECTED =1
DISABLE_WITH_EMISSIVE_LIGHT = 1
INTERIOR_ONLY = 0
EXTERIOR_ONLY = 0
EMISSIVE_TWEAK = 1
MIP_BIAS = 0
IGNORE_TEXTURE_COLOR = 0
COVERAGE = 2000
SAMPLES_LIMIT = 2000
SPLIT_ELEMENTS = 1
SPLIT_THRESHOLD = ...
NORMAL_SHIFT = 0
COVERED_BY = …

[EMISSIVE_LIGHT_...]
NAME= ferrari_f8_keyvany_egcu_spec.313, ferrari_f8_keyvany_egcu_spec.114, ferrari_f8_keyvany_egcu_spec.085
COLOR=1,1,1,3
CAST_LIGHT=1
ACT_AS_HEADLIGHTS=0

[EMISSIVE_TURNSIGNAL_LEFT_...]
NAME=ferrari_f8_keyvany_egcu_spec.310
COLOR=4,5,0, 90
LAG=0.7 
SIMULATE_HEATING=0 
LOCATION=SIDE
TOGGLE_VISIBILITY = 1

[EMISSIVE_TURNSIGNAL_RIGHT_...]
NAME=ferrari_f8_keyvany_egcu_spec.376
COLOR=4,5,0, 9
LAG=0.7 
SIMULATE_HEATING=0 
LOCATION=SIDE
TOGGLE_VISIBILITY = 1

[EMISSIVE_REVERSE_0]
NAME=ferrari_f8_keyvany_egcu_spec.311, ferrari_f8_keyvany_egcu_spec.377
COLOR=25, 25, 25,10
LAG=0.8
SIMULATE_HEATING=0.3

[EMISSIVE_BRAKE_...]
NAME=ferrari_f8_keyvany_egcu_spec.189, ferrari_f8_keyvany_egcu_spec.305, ferrari_f8_keyvany_egcu_spec.300, ferrari_f8_keyvany_egcu_spec.372, ferrari_f8_keyvany_egcu_spec.367
COLOR=35,0, 0,10
CAST_LIGHT=1
ACT_AS_HEADLIGHTS=0
FALLBACK_BRAKES_COLOR=35,0,0,5
INPUT = BRAKE
INPUT_THRESHOLD = 0.95
BLINK_REPEAT = 1
BLINK_FREQENCY_HZ = 4
LOCATION=REAR

[LIGHT_HEADLIGHT_0]
AFFECTS_TRACK=1
BOUND_EMISSIVE_MAX=500
BOUND_EXP=1
COLOR=18,25,35,1
DIFFUSE_CONCENTRATION=0.88
DIRECTION=0, -0.2, 1
EXTERIOR_ONLY=0
FADE_AT=450
FADE_SMOOTH=50
INTERIOR_ONLY=0
LOWBEAM_RANGE_MAX=30
LOWBEAM_RANGE_MULT=0.8
LOWBEAM_RANGE_ONCOMING_MULT=0.4
MIRROR=0.810
MIRROR_DIRECTION=0
POPUP_ENABLED=0
POSITION=0, 0.607, 1.97
RANGE=110
RANGE_GRADIENT_OFFSET=0
SECOND_SPOT=129.6
SECOND_SPOT_INTENSITY=0.27
SECOND_SPOT_RANGE=20
SECOND_SPOT_SHARPNESS=0.58
SECOND_SPOT_SKIP=0.3
SINGLE_FREQUENCY=0
SPECULAR_MULT=1
SPOT=48
SPOT_EDGE=0.02088, 0.01992, 0.018
SPOT_EDGE_SHARPNESS=50
SPOT_SHARPNESS=0
SPOT_UP=0.0499376, 0.998752, 0

[LIGHT_EXTRA_...]
BIND_TO_HEADLIGHTS = 1
AMBIENT_INFLUENCE = 0
COLOR=210, 230, 255, 1
DIFFUSE_CONCENTRATION = 0
EXTERIOR_ONLY=0
INTERIOR_ONLY=0
AFFECTS_TRACK=0
SIMULATE_HEATING= 0.2
LAG=0.19
FADE_AT=200
FADE_SMOOTH=50
MIRROR=0.0, 0, 0
POSITION=0.810, 0.607, 1.97
DIRECTION=0.0, 0, -1
RANGE=0.045
RANGE_GRADIENT_OFFSET=0.3
SPECULAR_MULT=2
SPOT=270

[LIGHT_EXTRA_...]
BIND_TO_HEADLIGHTS = 1
AMBIENT_INFLUENCE = 0
COLOR=210, 230, 255, 1
DIFFUSE_CONCENTRATION = 0
EXTERIOR_ONLY=0
INTERIOR_ONLY=0
AFFECTS_TRACK=0
SIMULATE_HEATING= 0.2
LAG=0.19
FADE_AT=200
FADE_SMOOTH=50
MIRROR=0.0, 0, 0
POSITION=-0.810, 0.607, 1.97
DIRECTION=0.0, 0, -1
RANGE=0.045
RANGE_GRADIENT_OFFSET=0.3
SPECULAR_MULT=2
SPOT=270

[EXTRA_FX_EMISSIVE_...]
MESHES = ferrari_f8_keyvany_egcu_spec.301, ferrari_f8_keyvany_egcu_spec.368
RANGE = .038
COLOR = 1,0,0,0.9
DIRECTED =1
DISABLE_WITH_EMISSIVE_LIGHT = 1
INTERIOR_ONLY = 0
EXTERIOR_ONLY = 0
EMISSIVE_TWEAK = 1
MIP_BIAS = 0
IGNORE_TEXTURE_COLOR = 0
COVERAGE = 2000
SAMPLES_LIMIT = 2000
SPLIT_ELEMENTS = 1
SPLIT_THRESHOLD = ...
NORMAL_SHIFT = 0
COVERED_BY = …

[EXTRA_FX_EMISSIVE_...]
MESHES = ferrari_f8_keyvany_egcu_spec.179, ferrari_f8_keyvany_egcu_spec.176
RANGE = .044
COLOR = 0.4
DIRECTED =0
DISABLE_WITH_EMISSIVE_LIGHT = 1
INTERIOR_ONLY = 0
EXTERIOR_ONLY = 0
EMISSIVE_TWEAK = 1
MIP_BIAS = 0
IGNORE_TEXTURE_COLOR = 0
COVERAGE = 2000
SAMPLES_LIMIT = 2000
SPLIT_ELEMENTS = 1
SPLIT_THRESHOLD = ...
NORMAL_SHIFT = 0
COVERED_BY = …

[ANALOG_INDICATOR_...]
INPUT = RPM
INPUT_MAX = 8000
NAME = RPM_ARROW
DELAY = 0
ZERO = -50
STEP=0.0308

[DI_SPEED_...]
DIGITAL_ITEM = 0
DIGITAL_ITEM_NUMBER_FORMAT = 1.0

[DI_WATER_TEMPERATURE_...]
DIGITAL_ITEM = 1
DIGITAL_ITEM_NUMBER_FORMAT = 1.0

[DI_OIL_PRESSURE_...]
DIGITAL_ITEM = 2
DIGITAL_ITEM_NUMBER_FORMAT = 1.0

[DI_GEAR_...]
DIGITAL_ITEM = 3
DIGITAL_ITEM_NUMBER_FORMAT = 1.0

[LIGHT_LICENSEPLATE]
; no need to specify meshes names if material is using
; Plate_D.dds and Plate_NM.dds textures
MESHES=glass.001
OFFSET=0.0, 0.0, -0.0
RANGE=0.3
RANGE_GRADIENT_OFFSET=0.2
SPOT=150
SPOT_SHARPNESS=0
COLOR=9,11,12,5
; other supported values: TWO_ON_TOP, ONE_ON_TOP
LAYOUT=TWO_ON_TOP

[PARTICLES_FX_EXHAUST]
LIFE = .8, .2                ; how long particles last in the air before disappearing
SPEED = 0.5, 2                ; how fast smoke particles fly from the exhaust
SPREAD = 0.25                ; initial spread of particles
STARTING_SIZE = 0.04            ; initial size of particles
SPAWN_OFFSET = 0.02            ; initial spawn point offset (length-wise)
TEMPERATURE_LAG = 1             ; engine heating up (1 to disable)
SPEED_THRESHOLD = 15, 100    

; Exhaust Flames
[EXHAUST_FLAMES]
ANTILAG=0
ANTILAG_DELAY=0.2
ANTILAG_INTENSITY=1
ANTILAG_INTERVAL_MAX=0.1
ANTILAG_INTERVAL_MIN=0.05
ANTILAG_TURBO_THRESHOLD=0.1

DAMAGE=1
DAMAGE_DURATION=0.05
DAMAGE_INTENSITY=1
DAMAGE_PROBABILITY=1

DISCHARGE=1
DISCHARGE_CHARGE_TIME=1
DISCHARGE_DELAY=.3
DISCHARGE_DURATION=1
DISCHARGE_INTENSITY=0.205
DISCHARGE_PROBABILITY=0.735
DISCHARGE_RPM_THRESHOLD_MAX=8000
DISCHARGE_RPM_THRESHOLD_MIN=4000
DISCHARGE_WATER_TEMPERATURE_THRESHOLD=80

FLAT_SHIFT=1
FLAT_SHIFT_COOLDOWN=0.23
FLAT_SHIFT_DURATION=0.001
FLAT_SHIFT_GAS_THRESHOLD=0.8
FLAT_SHIFT_INTENSITY=0.1
FLAT_SHIFT_PROBABILITY=.5
FLAT_SHIFT_RPM_THRESHOLD=6000

LIMITER=0
LIMITER_DELAY=0.3
LIMITER_INTENSITY=1
LIMITER_RPM_THRESHOLD=0